### Method

# FwupdPlugin Ioctl set_name

since: 2.0.2

#### Declaration [src]

    void
    fu_ioctl_set_name (
      FuIoctl* self,
      const gchar* name
    )

#### Description [src]

Adds a name for the ioctl, preserving compatibility with existing emulation data.

NOTE: For new devices this is not required.

Available since: 2.0.2

#### Parameters

`name`

  Type: `const gchar*`

  A string, e.g. `Nvme`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.